Debian Bug report logs - #430142
libxml++2.6: new version 2.20.0 available

version graph

Package: libxml++2.6; Maintainer for libxml++2.6 is Deng Xiyue <manphiz-guest@users.alioth.debian.org>;

Reported by: Manphiz <manphiz@gmail.com>

Date: Fri, 22 Jun 2007 17:06:02 UTC

Severity: wishlist

Fixed in version libxml++2.6/2.20.0-1

Done: Deng Xiyue <manphiz-guest@users.alioth.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Leishman <masklin@debian.org>:
Bug#430142; Package libxml++2.6. Full text and rfc822 format available.

Acknowledgement sent to Manphiz <manphiz@gmail.com>:
New Bug report received and forwarded. Copy sent to Chris Leishman <masklin@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manphiz <manphiz@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxml++2.6: New version 2.18.1 available
Date: Sat, 23 Jun 2007 01:04:41 +0800
Package: libxml++2.6
Severity: wishlist

New upstream version is available at
http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.18/
which contains several bug fixes. It'll be great to have it in Debian
anyway.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (800, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Chris Leishman <masklin@debian.org>:
Bug#430142; Package libxml++2.6. Full text and rfc822 format available.

Acknowledgement sent to manphiz <manphiz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Leishman <masklin@debian.org>. Full text and rfc822 format available.

Message #10 received at 430142@bugs.debian.org (full text, mbox):

From: manphiz <manphiz@gmail.com>
To: 430142@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libxml++2.6: new version 2.20.0 available
Date: Sun, 23 Sep 2007 13:53:04 +0800
retitle 430142 libxml++2.6: new version 2.20.0 available
thanks

Now 2.20.0 can be found at:

http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.20/ <http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.18/>





Changed Bug title to `libxml++2.6: new version 2.20.0 available' from `libxml++2.6: New version 2.18.1 available'. Request was from manphiz <manphiz@gmail.com> to control@bugs.debian.org. (Sun, 23 Sep 2007 05:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Leishman <masklin@debian.org>:
Bug#430142; Package libxml++2.6. Full text and rfc822 format available.

Acknowledgement sent to Julien Puydt <jpuydt@free.fr>:
Extra info received and forwarded to list. Copy sent to Chris Leishman <masklin@debian.org>. Full text and rfc822 format available.

Message #17 received at 430142@bugs.debian.org (full text, mbox):

From: Julien Puydt <jpuydt@free.fr>
To: 430142@bugs.debian.org
Subject: I just recompiled it...
Date: Sun, 28 Oct 2007 18:38:53 +0100
I took the debian/unstable .diff.gz, applied it to the last libxml++ 
version, and obtained nice packages ; their only known issue is that I 
had to copy libxml++config.h to /usr/include/libxml++-2.6 by hand...

Snark on #gnome-hackers




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org, Chris Leishman <masklin@debian.org>:
Bug#430142; Package libxml++2.6. Full text and rfc822 format available.

Acknowledgement sent to Deng Xiyue <manphiz-guest@users.alioth.debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org, Chris Leishman <masklin@debian.org>. Full text and rfc822 format available.

Message #22 received at 430142@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
To: Debian Bug Tracking System <430142@bugs.debian.org>
Subject: ITH: willing to help maintaining libxml++2.6
Date: Sat, 05 Jan 2008 01:18:05 +0800
[Message part 1 (text/plain, inline)]
Package: libxml++2.6
Followup-For: Bug #430142

This bug has been around for almost a year without reply from current
maintainer, and QA team has confirmed his MIA. So here I want to help
maintaining this packages, and I've prepared .diff.gz and .dsc for the
latest upstream version, which are attached. I'm CCing QA team for
further suggestion, and please check if I'm eligible for it :)

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (300, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[libxml++2.6_2.20.0-1.diff.gz (application/x-gzip, attachment)]
[libxml++2.6_2.20.0-1.dsc (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Leishman <masklin@debian.org>:
Bug#430142; Package libxml++2.6. Full text and rfc822 format available.

Acknowledgement sent to Deng Xiyue <manphiz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Leishman <masklin@debian.org>. Full text and rfc822 format available.

Message #27 received at 430142@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz@gmail.com>
To: Debian Bug Tracking System <430142@bugs.debian.org>, debian-qa@lists.debian.org
Subject: Bug#430142: ITH: willing to help maintaining libxml++2.6
Date: Sat, 05 Jan 2008 02:14:13 +0800
[Message part 1 (text/plain, inline)]
Sorry, the previous attachment forgot to update compat to version 5 :(
I've rebuilt the package and please check these new attachments instead :)

[libxml++2.6_2.20.0-1.dsc (text/plain, attachment)]
[libxml++2.6_2.20.0-1.diff.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Leishman <masklin@debian.org>:
Bug#430142; Package libxml++2.6. Full text and rfc822 format available.

Acknowledgement sent to Deng Xiyue <manphiz@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chris Leishman <masklin@debian.org>. Full text and rfc822 format available.

Message #32 received at 430142@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz@gmail.com>
To: Debian Bug Tracking System <430142@bugs.debian.org>
Subject: Bug#430142: Intent to upload in a week, attaching interdiff
Date: Wed, 16 Jan 2008 21:26:27 +0800
[Message part 1 (text/plain, inline)]
After consulting with QA team member, I intend to find a sponsor and
upload new version in a week. A interdiff between currently version in
Debian repository and my work is attached for reference.

[libxml++2.6_2.14.0-0.1_2.20.0-1_interdiff.diff.gz (application/x-gzip, attachment)]

Reply sent to Deng Xiyue <manphiz-guest@users.alioth.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Manphiz <manphiz@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 430142-close@bugs.debian.org (full text, mbox):

From: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
To: 430142-close@bugs.debian.org
Subject: Bug#430142: fixed in libxml++2.6 2.20.0-1
Date: Thu, 31 Jan 2008 14:17:03 +0000
Source: libxml++2.6
Source-Version: 2.20.0-1

We believe that the bug you reported is fixed in the latest version of
libxml++2.6, which is due to be installed in the Debian FTP archive:

libxml++2.6-2_2.20.0-1_i386.deb
  to pool/main/libx/libxml++2.6/libxml++2.6-2_2.20.0-1_i386.deb
libxml++2.6-dev_2.20.0-1_i386.deb
  to pool/main/libx/libxml++2.6/libxml++2.6-dev_2.20.0-1_i386.deb
libxml++2.6-doc_2.20.0-1_all.deb
  to pool/main/libx/libxml++2.6/libxml++2.6-doc_2.20.0-1_all.deb
libxml++2.6_2.20.0-1.diff.gz
  to pool/main/libx/libxml++2.6/libxml++2.6_2.20.0-1.diff.gz
libxml++2.6_2.20.0-1.dsc
  to pool/main/libx/libxml++2.6/libxml++2.6_2.20.0-1.dsc
libxml++2.6_2.20.0.orig.tar.gz
  to pool/main/libx/libxml++2.6/libxml++2.6_2.20.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430142@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Deng Xiyue <manphiz-guest@users.alioth.debian.org> (supplier of updated libxml++2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 31 Jan 2008 10:07:18 +0800
Source: libxml++2.6
Binary: libxml++2.6-dev libxml++2.6-2 libxml++2.6-doc
Architecture: source all i386
Version: 2.20.0-1
Distribution: unstable
Urgency: low
Maintainer: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
Changed-By: Deng Xiyue <manphiz-guest@users.alioth.debian.org>
Description: 
 libxml++2.6-2 - A C++ interface to the GNOME XML library (libxml2)
 libxml++2.6-dev - A C++ interface to the GNOME XML library (libxml2)
 libxml++2.6-doc - HTML interface documentation and examples for libxml++
Closes: 272308 315967 318977 349630 374067 395784 417367 430142
Changes: 
 libxml++2.6 (2.20.0-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #430142)
     + No more segfault with invalid xpath in Node::find. (Closes: #374067)
   * Add myself as maintainer.
   * Ack NMU. (Closes: #315967, #349630)
   * debian/control
     + Update standard version to 3.7.3.
     + Depends on debhelper >= 5.
     + Add b-deps on cdbs, and gnome-pkg-tools for clean-la.mk, and of
       course doc-base.
     + Use ${binary:Version} instead of deprecated ${Source-Version} for
       binNMU safety.
     + Use Homepage: in source stanza instead of pseudo one in Description.
     + Update package descriptions.
     + The C++ ABI transition has ended long ago, everything is installable
       now. (Closes: #318977)
   * debian/copyright
     + Correct pointer to /usr/share/common-licenses/LGPL-2.1
     + Update upstream maintainers' email addresses.
     + Update source URL.
     + Add copyright text, with holders listed in source files.
   * debian/rules
     + Migrate build system to cdbs, which sets build target properly.
       (Closes: #395784)
     + Set LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
     + Use versioned shlibs for libxml++2.6-2.
     + Set DEB_DH_INSTALL_SOURCEDIR := debian/tmp to make *.install
       shorter.
     + Include clean-la.mk from gnome-pkg-tools to remove dependency_libs
       information from .la files.
   * debian/libxml++2.6-dev.docs
     - Removed, not needed.
   * debian/*.install
     + Refined, use shorter path, and lib*.{a,so}, *.la
   * debian/libxml++2.6-doc.doc-base
     - Removed, in favor of more specific ones.
   * debian/libxml++2.6-doc.doc-base.libxml++-{manual,reference}
     + Added, and adjusted for proper path.
   * debian/patches
     + Add 10_gcc4.3_include_fix.patch to fix FTBFS on gcc 4.3.
       (Closes: #417367)
     + Add 20_file_id_fix.patch to fix file descriptions. (Closes: #272308)
     + Add 70_relibtoolize.patch as amd64 rpath issue workaround.
Files: 
 104672ffce9bb80c50c2a8f880741c6e 804 devel optional libxml++2.6_2.20.0-1.dsc
 0f6a95220c7cd893e711f85ad4056a1c 2044144 devel optional libxml++2.6_2.20.0.orig.tar.gz
 79cee2c3d2c5bfd783e617dc1abd6434 111623 devel optional libxml++2.6_2.20.0-1.diff.gz
 3243d5a6d0ff80648b56c8eea0af314d 568946 doc optional libxml++2.6-doc_2.20.0-1_all.deb
 7331c227ec80a81ed33b7834424af648 96786 libdevel optional libxml++2.6-dev_2.20.0-1_i386.deb
 b86e33deed79dc41229610a5f7c3eebc 75804 libs optional libxml++2.6-2_2.20.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHodYvioOL5NhIDy4RArZfAJ9iugPux0EE6qRMM7L4jaaLZZznWgCfXQbx
Yv6S13n16+zSS9DjXxz4gAA=
=SHzy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Mar 2008 07:33:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:03:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.